Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1.pkcs
Class CertBag

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.pkcs.CertBag

All Implemented Interfaces:
  DEREncodable

    public class CertBag

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`CertBag(ASN1Sequence seq)`
`CertBag(DERObjectIdentifier certId, DERObject certValue)`

Method Summary
`DERObjectIdentifier` `getCertId()`
`DERObject` `getCertValue()`
`DERObject` `toASN1Object()`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertBag

    public CertBag(ASN1Sequence seq)

### CertBag

    public CertBag(DERObjectIdentifier certId,
                   DERObject certValue)

Method Detail

### getCertId

    public DERObjectIdentifier getCertId()

### getCertValue

    public DERObject getCertValue()

### toASN1Object

    public DERObject toASN1Object()

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Bouncy Castle Cryptography Library 1.45